%define         upstream_name Stacer

Name:           stacer
Version:        1.3.5
Release:        %mkrel 1
Summary:        Linux System Optimizer and Monitoring
Group:          Monitoring
License:        MIT
URL:            https://stacer.quentium.fr/
Source0:        https://github.com/QuentiumYT/Stacer/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         stacer-desktop-icons-dir.patch

BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake

%description
Linux System Optimizer and Monitoring.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Wed Jul 09 2025 daviddavid <daviddavid> 1.3.5-1.mga10
+ Revision: 2252547
- new version: 1.3.5
- switch to Qt6
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Apr 05 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1844350
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1659927
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1526291
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon May 13 2019 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1397617
- Update to version 1.1.0

* Tue Apr 02 2019 umeabot <umeabot> 1.0.9-4.mga7
+ Revision: 1384884
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.9-3.mga7
+ Revision: 1301182
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 1.0.9-2.mga7
+ Revision: 1234393
- add patch to fix build with new Qt5 >= 5.11.0

* Tue Apr 10 2018 kekepower <kekepower> 1.0.9-1.mga7
+ Revision: 1217314
- imported package stacer

